summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sys-devel/gettext')
-rw-r--r--sys-devel/gettext/files/gettext-0.19.5.1-version-hack.patch18
-rw-r--r--sys-devel/gettext/gettext-0.19.5.1-r1.ebuild (renamed from sys-devel/gettext/gettext-0.19.5.1.ebuild)6
2 files changed, 24 insertions, 0 deletions
diff --git a/sys-devel/gettext/files/gettext-0.19.5.1-version-hack.patch b/sys-devel/gettext/files/gettext-0.19.5.1-version-hack.patch
new file mode 100644
index 00000000000..1a9eaea8413
--- /dev/null
+++ b/sys-devel/gettext/files/gettext-0.19.5.1-version-hack.patch
@@ -0,0 +1,18 @@
+the gettext tooling does not quite understand 4 version components.
+hack it so the output in the configure script sticks to 3 parts.
+this is a horrible hack that really needs an upstream fix.
+
+https://lists.gnu.org/archive/html/bug-gettext/2015-07/msg00027.html
+https://bugs.gentoo.org/556024
+
+--- a/gettext-tools/misc/gettextize.in
++++ b/gettext-tools/misc/gettextize.in
+@@ -1235,7 +1235,7 @@
+ func_modify_configure_in "(AC_OUTPUT): Remove command that created po/Makefile."
+ sed -e '/^\(dnl \|\)AC_LINK_FILES(\$nls_cv_header_libgt, \$nls_cv_header_intl)$/d' < "$srcdir/$configure_in" > "$srcdir/$configure_in.tmp"
+ func_modify_configure_in "(AC_LINK_FILES): Remove invocation."
+-sed -e 's/^AM_GNU_GETTEXT_VERSION([^()]*)/AM_GNU_GETTEXT_VERSION(['"$version"'])/' < "$srcdir/$configure_in" > "$srcdir/$configure_in.tmp"
++sed -e 's/^AM_GNU_GETTEXT_VERSION([^()]*)/AM_GNU_GETTEXT_VERSION(['"${version%.?}"'])/' < "$srcdir/$configure_in" > "$srcdir/$configure_in.tmp"
+ func_modify_configure_in "(AM_GNU_GETTEXT_VERSION): Bump to $version."
+ $do_changelog && func_ChangeLog_finish
+
diff --git a/sys-devel/gettext/gettext-0.19.5.1.ebuild b/sys-devel/gettext/gettext-0.19.5.1-r1.ebuild
index 9e7d153732d..dc2e22a6160 100644
--- a/sys-devel/gettext/gettext-0.19.5.1.ebuild
+++ b/sys-devel/gettext/gettext-0.19.5.1-r1.ebuild
@@ -39,6 +39,12 @@ MULTILIB_WRAPPED_HEADERS=(
src_prepare() {
java-pkg-opt-2_src_prepare
+
+ # This patch should not be included in version bumps (at least to 0.19.2).
+ # Perhaps 0.19.5.2 will be broken in the same way. #556024
+ [[ ${PV} != 0.19.5.1 ]] && die
+ epatch "${FILESDIR}"/${P}-version-hack.patch #556024
+
epunt_cxx
elibtoolize
}